%A Brier score is a proper score function that measures the accuracy of a set of probability assessments. Proposed by Brier (1950), it is the average squared deviation between predicted probabilities for a set of events and their outcomes, so a lower score represents higher accuracy.

function brier_score = getBrierScoreFromSVMResults (test_label, predict_label)

 n = size(test_label,1);

    test_label (   test_label == -1) = 0;
 predict_label (predict_label == -1) = 0;

 brier_score = (1/n) * sum((predict_label - test_label).^2);
